javax.servlet

## Class MultipartConfigElement

- java.lang.Object
- - javax.servlet.MultipartConfigElement

-     public class MultipartConfigElement
      extends Object

  Java Class represntation of an `MultipartConfig` annotation value.
  Since:
    Servlet 3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartConfigElement(MultipartConfig annotation)` Constructs an instance from a `MultipartConfig` annotation value.
    `MultipartConfigElement(String location)` Constructs an instance with defaults for all but location.
    `MultipartConfigElement(String location, long maxFileSize, long maxRequestSize, int fileSizeThreshold)` Constructs an instance with all values specified.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFileSizeThreshold()` Gets the size threshold after which files will be written to disk.
    `String` | `getLocation()` Gets the directory location where files will be stored.
    `long` | `getMaxFileSize()` Gets the maximum size allowed for uploaded files.
    `long` | `getMaxRequestSize()` Gets the maximum size allowed for multipart/form-data requests.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipartConfigElement

          public MultipartConfigElement(String location)

      Constructs an instance with defaults for all but location.
      Parameters:
        `location` - defualts to "" if values is null.

    - #### MultipartConfigElement

          public MultipartConfigElement(String location,
                                long maxFileSize,
                                long maxRequestSize,
                                int fileSizeThreshold)

      Constructs an instance with all values specified.
      Parameters:
        `location` - the directory location where files will be stored
        `maxFileSize` - the maximum size allowed for uploaded files
        `maxRequestSize` - the maximum size allowed for multipart/form-data requests
        `fileSizeThreshold` - the size threshold after which files will be written to disk

    - #### MultipartConfigElement

          public MultipartConfigElement(MultipartConfig annotation)

      Constructs an instance from a `MultipartConfig` annotation value.
      Parameters:
        `annotation` - the annotation value

  - ### Method Detail

    - #### getLocation

          public String getLocation()

      Gets the directory location where files will be stored.
      Returns:
        the directory location where files will be stored

    - #### getMaxFileSize

          public long getMaxFileSize()

      Gets the maximum size allowed for uploaded files.
      Returns:
        the maximum size allowed for uploaded files

    - #### getMaxRequestSize

          public long getMaxRequestSize()

      Gets the maximum size allowed for multipart/form-data requests.
      Returns:
        the maximum size allowed for multipart/form-data requests

    - #### getFileSizeThreshold

          public int getFileSizeThreshold()

      Gets the size threshold after which files will be written to disk.
      Returns:
        the size threshold after which files will be written to disk

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.